Bug 563453 - Please apply upstream patch fixing back-light oscillating on msi wind 100 machines
Please apply upstream patch fixing back-light oscillating on msi wind 100 mac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-10 04:54 EST by Hans de Goede
Modified: 2010-03-25 18:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: udev-145-19.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-25 18:35:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2010-02-10 04:54:47 EST
Hi,

The udev keymap for micro star devices makes the kernel send brigthness up / down
events for 2 special msi scancodes. But these scancodes are not emitted on keypress, but when the brightness is actually changed (through an acpi call, done
by linux).

This causes the back-light brigthness to oscillate very fast, leading to an unusable flickering display.

This upstream patch fixes this:
http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=d7e2d38c1f0ead2239808dd117577a99a3ad3cde

Thanks,

Hans
Comment 1 Fedora Update System 2010-03-19 07:15:18 EDT
udev-145-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-16.fc12
Comment 2 Fedora Update System 2010-03-23 19:39:34 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-145-19.fc12
Comment 3 Fedora Update System 2010-03-25 18:35:00 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.